Ticket #17 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

09-011 GLCC UO in Aspen Hysys 7.1

Reported by: michelpons Owned by: Michael Halloran
Priority: major Milestone: Refactoring
Component: COLoggers Version: 1.08.2
Keywords: Cc: michaelhalloran

Description

De: Michel Pons [technologyofficer@…]
Envoyé: Sunday, April 26, 2009 10:26 PM
À: 'Michael Halloran'
Cc: 'Ahsan Akhtar'
Objet: RE: GLCC UO In Aspen Hysys v7.1

Pièces jointes: COLTT09_011_Screenshots.doc

Michael,

Please find attached a Word file with screenshots obtained with the scenario of COLTT issue 09-011. I ignore the assertion failed error and then Aspen Hysys crashes.

Best regards

Michel
=======================================================
De: Michael Halloran [michaeljhalloran@…]
Envoyé: Saturday, April 25, 2009 11:35 PM
À: Michel Pons
Cc: Ahsan Akhtar
Objet: Re: GLCC UO In Aspen Hysys v7.1
Michael,

Can you add information about the assertion? When you get an assertion do you try to ignore it and continue the run?

I don't understand the logs here. The 1.07 log should show the calls to get_ComponentName in the same places as the 1.08 log. The 1.07 logger is logging them and they must have been called or the name shown in the log wouldn't have changed to Check for the 1st parameter. So that looks like a 1.07 problem to me; the 1.08 log is what I would expect.

Regards
Michael
==========================================================
De: Michel Pons [technologyofficer@…]
Envoyé: Thursday, April 23, 2009 10:15 PM
À: 'Ahsan Akhtar'
Cc: 'Michael Halloran'
Objet: GLCC UO In Aspen Hysys v7.1

Pièces jointes: hysys_042309_215826v107.log; hysys_042309_215412v1082.log

Ahsan,

I have ran a combination involving a CAPE-OPEN UO using Thermo 1.0 and Aspen Hysys v7.1. The UO comes from TOTAL and has been made with the Visual Basic Wizard.

The scenario starts from an Unconnected case file that displays three streams, one to be used as inlet and two as outlets to the UO. I use “Add Operation” then Extensions the CAPE-OPEN 1.0 and select GLCC UO. Then I accept this choice. Things are differing from then on with/wothout COLTT and between COLTT versions.

Without COLTT enabled on the GLCC UO, I get message boxes from Aspen Hysys of the type “Error in ExposeCOParstoHysys(13)”. This has been documented to Aspentech Support and is in the process of being solved. Several of these message boxes have to be Okeyed before arriving at the point where connections between ports and material streams can be made. I stop the scenario here.

With COLTT v1.07 enabled on the GLCC UO, I get first the same error message as above and then I have a message box repeated quite a number of times “ActiveXtender Error setting cell color (SetFontCellColor).

With COLTT v1.08.02 (after changing the COLoggersST.dll file) I get, after accepting the UO, a debug assertion failed message and then Aspen Hysys crashes.

I have joined to this message the two log files obtained. I am surprised that the two logs do not show exactly the same sequence.

COLTT v1.07

Parameter Collection <Unnamed> : Call to Item requesting Item 1
Parameter Collection Item returns : 0x569a84
Parameter Collection <Unnamed> : Return from Item - No Error
Parameter <Check> : Call to get_Specification

get_specification returns: 0x56e97c

Parameter <Check> : Return from get_Specification - No Error

COLTT v1.08.02
ParameterCollection <Anonymous> : Call to Item requesting Item 1
ParameterCollection Item returns : 0x5698ec
ParameterCollection <Anonymous> : Return from Item - No Error
Parameter <Anonymous> : Call to ICapeIdentification.get_ComponentName
Parameter <Anonymous> : Return from ICapeIdentification.get_ComponentName - No Error
Parameter <Check> : Call to get_Specification

get_specification returns: 0x56ccfc

Parameter <Check> : Return from get_Specification - No Error

I have logged this issue as 09-011 in the meantime.

Best regards

Michel

Attachments

hysys_042309_215826v107.zip (18.0 KB) - added by michelpons 11 years ago.
Zipped log file obtained with COLTT 1.07
hysys_042309_215412v1082.log (3.2 KB) - added by michelpons 11 years ago.
Log file obtained with COLTT 1.08.02
hysys_102309_110635_v10803.log (3.5 KB) - added by michelpons 11 years ago.
Log file obtained with COLTT 1.08.03
hysys_110309_150132.zip (19.3 KB) - added by michelpons 11 years ago.
Zipped log file obtained with COLTT 1.08.3 Build Oct 27, 2009

Change History

Changed 11 years ago by michelpons

Zipped log file obtained with COLTT 1.07

Changed 11 years ago by michelpons

Log file obtained with COLTT 1.08.02

comment:1 Changed 11 years ago by michelpons

I have tested the combination with COLTT 1.08.03 (Build Oct 19, 2009). The debug assertion message reported with COLTT 1.08.02 after the selection of the GLCC UO has disappeared but the crash from Aspen Hysys is still there. So one can't say that there has been a real progress with COLTT 1.08.03 over COLTT 1.08.02. I have attached the log file obtained with COLTT 1.08.03 as supporting material.

Changed 11 years ago by michelpons

Log file obtained with COLTT 1.08.03

comment:2 Changed 11 years ago by michelpons

  • Milestone set to Refactoring

I have tested the case with COLTT 1.08.3 Build Oct 27, 2009. I get now the same behaviour as with COLTT 1.07 i.e. the same error messages as without COLTT enabled on the GLCC UO then a series of messages \"error setting cell color\". As far as the difference of behaviour between 1.07 and 1.08 is concerned, build Oct 27, 2009 resolves the issue. Whatever remains will be made a new ticket. I attach the log file obtained with COLTT 1.08.3 Build Oct 27, 2009.

Changed 11 years ago by michelpons

Zipped log file obtained with COLTT 1.08.3 Build Oct 27, 2009

comment:3 Changed 11 years ago by michelpons

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.